summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Matteo Bernardini2014-07-06 08:05:14 +0200
committer Willy Sudiarto Raharjo2014-08-03 11:34:16 +0200
commit860519209bf7c1025daa3c85f01c3d1763ad0498 (patch)
treedc2ddcd6f4d4a18401cea0e1886248b5e49700a0 /libraries
parent1a3e8c9647686c88de61081e487be57327bc1275 (diff)
downloadslackbuilds-860519209bf7c1025daa3c85f01c3d1763ad0498.tar.gz
libraries/libfm: Updated for version 1.2.1.
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libfm/README9
-rw-r--r--libraries/libfm/libfm.SlackBuild16
-rw-r--r--libraries/libfm/libfm.info6
3 files changed, 23 insertions, 8 deletions
diff --git a/libraries/libfm/README b/libraries/libfm/README
index 29d66e09a7..2711a773f9 100644
--- a/libraries/libfm/README
+++ b/libraries/libfm/README
@@ -2,3 +2,12 @@ LibFM provides file management functions built on top of Glib/GIO,
giving a convenient higher-level API.
vala is an optional dependency (for custom file manager actions).
+
+you can choose between which version of gtk the library builds
+against:
+GTK=2 (default) link with gtk+2
+GTK=3 link with gtk+3
+GTK=0 don't link against gtk at all
+pass the script the parameter you prefer, like
+
+ GTK=3 ./pcmanfm.SlackBuild
diff --git a/libraries/libfm/libfm.SlackBuild b/libraries/libfm/libfm.SlackBuild
index bef78d31a8..c3760f8761 100644
--- a/libraries/libfm/libfm.SlackBuild
+++ b/libraries/libfm/libfm.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for libfm
-# Copyright 2013 Matteo Bernardini <ponce@slackbuilds.org>
+# Copyright 2013,2014 Matteo Bernardini <ponce@slackbuilds.org>
# Copyright 2010 Chris Abela <chris.abela@maltats.com>
# All rights reserved.
#
@@ -24,7 +24,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=libfm
-VERSION=${VERSION:-20131123_fb4bdbe}
+VERSION=${VERSION:-1.2.1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -58,6 +58,12 @@ fi
# Enable custom actions if we have vala available
if [ -h /usr/bin/vapigen ]; then actions=""; else actions="--disable-actions"; fi
+case "$GTK" in
+ 3) gtk="--with-gtk=3 --enable-gtk-doc" ;;
+ 0) gtk="--without-gtk" ;;
+ *) gtk="--with-gtk=2 --enable-gtk-doc" ;;
+esac
+
set -e
rm -rf $PKG
@@ -73,7 +79,7 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-sh autogen.sh || true
+NOCONFIGURE=1 sh autogen.sh || true
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -84,7 +90,7 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--mandir=/usr/man \
--enable-static=no \
- --enable-gtk-doc \
+ $gtk \
$actions \
--build=$ARCH-slackware-linux
@@ -105,7 +111,7 @@ sed -i -e 's|\[ui\]|terminal=lxterminal -e %s\narchiver=file-roller %s\n\n[ui]|'
$PKG/etc/xdg/libfm/libfm.conf
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING README TODO \
+cp -a AUTHORS COPYING NEWS README TODO \
$PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
find $PKG/usr/doc -type f -exec chmod 0644 {} \;
diff --git a/libraries/libfm/libfm.info b/libraries/libfm/libfm.info
index 9de4818ebc..63ad10cef6 100644
--- a/libraries/libfm/libfm.info
+++ b/libraries/libfm/libfm.info
@@ -1,8 +1,8 @@
PRGNAM="libfm"
-VERSION="20131123_fb4bdbe"
+VERSION="1.2.1"
HOMEPAGE="http://pcmanfm.sourceforge.net"
-DOWNLOAD="http://ponce.cc/slackware/sources/repo/lxde/libfm-20131123_fb4bdbe.tar.xz"
-MD5SUM="c5a3621e01fb7e9ee73546047710e3cc"
+DOWNLOAD="http://downloads.sf.net/pcmanfm/libfm-1.2.1.tar.xz"
+MD5SUM="9b4790594c2c80f440ce3238c5774d23"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="menu-cache"